Bug 955814 - data loss: fetchmail versions before and excluding 6.3.26 lose last line of message if the non-default "mimedecode" option is enabled and if that line is not properly terminated
Summary: data loss: fetchmail versions before and excluding 6.3.26 lose last line of m...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fetchmail
Version: 18
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-23 22:30 UTC by Matthias Andree
Modified: 2013-05-07 18:27 UTC (History)
2 users (show)

Fixed In Version: 6.3.26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-07 18:26:59 UTC


Attachments (Terms of Use)

Description Matthias Andree 2013-04-23 22:30:39 UTC
Description of problem:
fetchmail loses the last line of a message (and thus possibly the entire message if it is HTML) if the mimedecode option is enabled and the last line is not properly terminated (CRLF/LF).

This is confirmed by the upstream author.

Version-Release number of selected component (if applicable):
Affects all upstream releases before 6.3.26 unless specifically patched.

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Vitezslav Crhonek 2013-04-25 11:29:15 UTC
Thanks Matthias, applied.

Comment 3 Fedora Update System 2013-04-25 11:40:51 UTC
fetchmail-6.3.22-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fetchmail-6.3.22-2.fc18

Comment 4 Fedora Update System 2013-04-26 00:57:48 UTC
Package fetchmail-6.3.22-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fetchmail-6.3.22-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6632/fetchmail-6.3.22-2.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-05-07 18:27:01 UTC
fetchmail-6.3.22-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.